Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Interface TransformerHandler

All Superinterfaces:
  ContentHandler, DTDHandler, LexicalHandler

public interface TransformerHandler
extends ContentHandler, LexicalHandler, DTDHandler

Transforms SAX input events to a Result, according to some stylesheet. Note the expectation that XSLT transforms will discard most DTD declarations (DeclHandler is not supported).

Version:
  1.0
Author:
  Andrew Selkirk, David Brownell

Method Summary
`java.lang.String` | `getSystemId()`
`Transformer` | `getTransformer()` Returns the associated transformer, for use in setting parameters and output properties.
`void` | `setResult(Result result)` Assigns the result of the transform.
`void` | `setSystemId(java.lang.String systemID)`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.xml.sax.DTDHandler
`notationDecl, unparsedEntityDecl`

Method Detail

### setResult

    public void setResult(Result result)
                   throws java.lang.IllegalArgumentException

  Assigns the result of the transform.

### setSystemId

    public void setSystemId(java.lang.String systemID)

### getSystemId

    public java.lang.String getSystemId()

### getTransformer

    public Transformer getTransformer()

  Returns the associated transformer, for use in setting parameters and output properties.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.